> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aihubmax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Seedance 2.0 文生视频

> - Seedance 2.0 文生视频模型，纯文本提示词生成视频
- 标准版支持 `480p` / `720p` / `1080p`，Fast 仅支持 `480p` / `720p`
- 4–15 秒时长，多种宽高比
- 支持同步音频生成
- 异步处理模式，使用返回的任务ID [进行查询](/pages/zh/api-manual/task-management/get-task-detail)
- 生成的视频链接，有效期为24小时，请尽快保存




## OpenAPI

````yaml openapi/zh/seedance-2.0-text-to-video.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: Seedance 2.0 文生视频
  version: '1.0'
servers:
  - url: https://api.aihubmax.com
security:
  - BearerAuth: []
paths:
  /v1/videos/generations:
    post:
      tags:
        - Video > Seedance2.0
      summary: Seedance 2.0 文生视频
      description: >
        - Seedance 2.0 文生视频模型，纯文本提示词生成视频

        - 标准版支持 `480p` / `720p` / `1080p`，Fast 仅支持 `480p` / `720p`

        - 4–15 秒时长，多种宽高比

        - 支持同步音频生成

        - 异步处理模式，使用返回的任务ID
        [进行查询](/pages/zh/api-manual/task-management/get-task-detail)

        - 生成的视频链接，有效期为24小时，请尽快保存
      operationId: seedance-2.0-text-to-video
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Seedance2T2VRequest'
            examples:
              文生视频标准版:
                summary: 文生视频（标准版）
                value:
                  model: seedance-2.0-text-to-video
                  prompt: 夜色中的纸船漂浮在发光水洼上，镜头缓慢推进，电影感
                  resolution: 480p
                  aspect_ratio: '16:9'
                  duration: 4
                  generate_audio: false
              文生视频快速版:
                summary: 文生视频（快速版）
                value:
                  model: seedance-2.0-fast-text-to-video
                  prompt: >-
                    A corgi running on a rain-soaked street, cinematic slow
                    motion
                  resolution: 720p
                  aspect_ratio: adaptive
                  duration: 5
                  generate_audio: true
      responses:
        '200':
          $ref: '#/components/responses/TaskCreated'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '422':
          $ref: '#/components/responses/UnprocessableEntity'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  schemas:
    Seedance2T2VRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          description: |-
            `seedance-2.0-text-to-video`：标准版
            `seedance-2.0-fast-text-to-video`：快速版
          examples:
            - seedance-2.0-text-to-video
            - seedance-2.0-fast-text-to-video
          type: string
          default: seedance-2.0-text-to-video
        prompt:
          description: |
            文本提示词，描述希望生成的视频内容。

            **说明：**
            - 支持中英文
            - 最大 5000 字符
          maxLength: 5000
          minLength: 1
          type: string
          example: 一只柯基在雨后的街道上奔跑，电影感镜头
        resolution:
          default: 720p
          description: |
            输出视频分辨率

            **可选值：**
            - `480p`
            - `720p` — 默认
            - `1080p` — 仅标准版（`seedance-2.0-{text,image,reference}-to-video`）支持，
              Fast 变体不支持
          examples:
            - 480p
            - 720p
            - 1080p
          type: string
          x-model-enum-overrides:
            seedance-2.0-fast-image-to-video:
              - 480p
              - 720p
            seedance-2.0-fast-reference-to-video:
              - 480p
              - 720p
            seedance-2.0-fast-text-to-video:
              - 480p
              - 720p
        aspect_ratio:
          default: adaptive
          description: |
            输出视频宽高比

            **可选值：**
            - `16:9`、`4:3`、`1:1`、`3:4`、`9:16`、`21:9`
            - `adaptive` — 由模型自动选择（默认）
          type: string
          example: adaptive
        duration:
          default: 5
          description: 输出视频时长（秒）。支持 `4`–`15` 的整数，或 `-1` 让模型自动决定。默认 `5`。
          type: integer
          example: -1
        generate_audio:
          default: true
          description: 是否生成与画面同步的音频。默认为 `true`。
          type: boolean
          example: true
        seed:
          default: -1
          description: 随机种子。`-1` 表示由模型自动生成；传固定整数可提升结果复现性。
          type: integer
          example: -1
    TaskResponse:
      type: object
      properties:
        created:
          type: integer
          description: 任务创建时间戳
          example: 1757165031
        id:
          type: string
          description: 任务ID
          example: task-unified-1757165031-uyujaw3d
        model:
          type: string
          description: 实际使用的模型名称
        object:
          type: string
          description: 任务的具体类型
          enum:
            - video.generation.task
        progress:
          type: integer
          description: 任务进度百分比 (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: 任务状态
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          type: object
          description: 异步任务信息
          properties:
            can_cancel:
              type: boolean
              description: 任务是否可以取消
              example: true
            estimated_time:
              type: integer
              description: 预计完成时间（秒）
              example: 45
        type:
          type: string
          description: 任务的输出类型
          enum:
            - video
          example: video
    ErrorResponse400:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 请求格式错误
            type:
              type: string
              example: invalid_request_error
    ErrorResponse401:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: API密钥无效
            type:
              type: string
              example: authentication_error
    ErrorResponse402:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 账户余额不足
            type:
              type: string
              example: insufficient_quota
    ErrorResponse422:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 参数校验失败
            type:
              type: string
              example: validation_error
    ErrorResponse429:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 请求频率超限
            type:
              type: string
              example: rate_limit_error
    ErrorResponse500:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 服务器内部错误
            type:
              type: string
              example: server_error
    ErrorResponse503:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 服务暂不可用，请稍后重试
            type:
              type: string
              example: service_unavailable
  responses:
    TaskCreated:
      description: 任务创建成功
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TaskResponse'
    BadRequest:
      description: 请求格式错误
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse400'
    Unauthorized:
      description: 未授权
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse401'
    PaymentRequired:
      description: 余额不足
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse402'
    UnprocessableEntity:
      description: 参数校验失败
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse422'
    TooManyRequests:
      description: 请求频率超限
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse429'
    InternalServerError:
      description: 服务器内部错误
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse500'
    ServiceUnavailable:
      description: 服务暂不可用
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse503'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        ## 所有接口均需要使用Bearer Token进行认证 ##

        使用时在请求头中添加：

        `Authorization: Bearer YOUR_API_KEY`

````